<?
  class SAAuth_IMAP
  {
    var $server;
    var $port;
    var $proto;
    var $mbox;

    function SAAuth_IMAP( $cfg )
    {
      if( isset( $cfg['server'] ) )
        $this->server = $cfg['server'];
      else
        $this->server = 'localhost';

      if( isset( $cfg['port'] ) )
        $this->port = $cfg['port'];
      else
        $this->port = '143';

      if( isset( $cfg['proto'] ) )
        $this->proto = $cfg['proto'];
      else
        $this->proto = 'imap';;

      if( isset( $cfg['mbox'] ) )
        $this->mbox = $cfg['mbox'];
      else
        $this->mbox = 'INBOX';
    }

    function authenticate( $user, $pass )
    {
      $result = -1;
      $connect = '{' . $this->server . ':' . $this->port . '/' . $this->proto
        . '}' . $this->mbox;

      $imap = @imap_open( $connect, $user, $pass, OP_HALFOPEN );

      if( $imap )
      {
        $result = 0; // No error
        @imap_close( $imap );
      }
      else
      {
        // Authentication may have failed due to the use of TLS on a server
        // that doesn't support it.  So if the 'notls' flag wasn't specified
        // earlier, we'll add it temporarily and try again...
        //
        $pos = strpos( $this->proto, 'notls' );

        if( !is_integer( $pos ) )
        {
          $proto = $this->proto;
          $this->proto .= '/notls';
          $result = SAAuth_IMAP::authenticate( $user, $pass );
          $this->proto = $proto;
        }
      }

      return $result;
    }
  };
?>
