<?
  require_once( 'auth/IMAP.inc' );

  class SAAuth_IMAP_SSL extends SAAuth_IMAP
  {
    function SAAuth_IMAP_SSL( $cfg )
    {
      // Call base class to set standard IMAP defaults, then override with
      // SSL defaults as needed...
      //
      SAAuth_IMAP::SAAuth_IMAP( $cfg );

      if( !isset( $cfg['port'] ) )
        $this->port = '993';

      if( !isset( $cfg['proto'] ) )
        $this->proto = 'imap/ssl';
    }

    function authenticate( $user, $pass )
    {
      // Call the base class first...
      $result = SAAuth_IMAP::authenticate( $user, $pass );

      if( 0 != $result )
      {
        // Authentication may have failed due to the use of a self-signed
        // SSL certificate on the secure IMAP server.  So if the
        // 'novalidate-cert' flag wasn't specified earlier, we'll add it
        // temporarily and try again...
        //
        $pos = strpos( $this->proto, 'novalidate-cert' );

        if( !is_integer( $pos ) )
        {
          $proto = $this->proto;
          $this->proto .= '/novalidate-cert';
          $result = SAAuth_IMAP::authenticate( $user, $pass );
          $this->proto = $proto;
        }
      }

      return $result;
    }
  };
?>
