<?
//***************************************************************************
//
// PHP-SA : This is the configuration file for the PHP interface to
// SpamAssaain/SQL
//
//***************************************************************************

//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Section 1 - Web site configuration
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

// This is the FQDN of your web site:
//
$sitename = 'spam.peregrinehw.com';


// If you have an SSL enabled server, set this option to make sure that the
// login is secure.  Valid values are:
//
//     true  - switch to SSL mode if not in SSL mode
//     false - do not attempt to use SSL mode
//
$usessl = true;


// This path is relative to your DOCUMENT_ROOT from your web server's config.
// If you are using apache, it is relative to the DocumentRoot directive.
//
// For example, if you have copied the PHP-SA files directly into the root
// folder in your web directory, you would set this to '/'.  Or if you
// copied the files into a sub-folder named 'phpsa', you would set this to
// 'phpsa'.
//
$phpsapath = '/';


//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Section 2 - Database configuration
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

// This specifies the type of database you are using.  The types currently
// supported are MySQL and PGSQL - though I've only tested it with MySQL
// myself.
//
$dbcfg['type'] = 'MySQL';

// The name of the server running the database
$dbcfg['server'] = 'localhost';

// The name of the user allowed to access the database
$dbcfg['user'] = 'spamassassin';

// The password required to access the database
$dbcfg['pass'] = '<CHANGE THIS!>';

// The name of the database to use
$dbcfg['db'] = 'spamassassin';

// The name of the SpamAssassin user preferences table
$dbcfg['table'] = 'userpref';


//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//
// Section 3 - Password authentication modules configuration
//
// NOTE:  If necessary, you can enable more than one authentication module
// below - they will be tried one after another, in the order they were
// registered, until one of the modules succeeds in authenticating the user.
//
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

// Global User Authentication -----------------------------------------------
//
// If you want to enable the SpamAssassin global user preferences, uncomment
// the lines below and set the values accordingly.
//
// NOTE:  Another way to do this would be to set the global user name and
// password in the SpamAssassin user preferences table, then use the
// USERPREF authentication module below.  In that case, you can just leave
// this module disabled.
//
//$authmod['GLOBAL']['user'] = '@GLOBAL';
//$authmod['GLOBAL']['pass'] = '<CHANGE THIS!>';


// USERPREF Authentication --------------------------------------------------
//
// This is a sample of how to use the SpamAssassin user preferences table
// itself to store the passwords for each user.  To enable it, simply
// uncomment the line below.
//
// NOTE:  To add a username/password to the preferences table, you will need
// to do something like this:
//
//   INSERT INTO userpref VALUES
//   (
//     'bob',                  -- The user's name
//     'password',             -- Required - do not change!
//     PASSWORD('mypassword'), -- The user's password
//     null
//   );
//
//$authmod['USERPREF'] = $dbcfg;


// IMAP Authentication ------------------------------------------------------
//
// This is a sample of how to use basic IMAP authentication.  To enable it,
// you can uncomment just the first line below.  If the default settings
// below that work for you, nothing more is needed.  Otherwise, you will
// usually only have to modify the 'server' setting - the others are pretty
// standard.
//
//$authmod['IMAP'] = array();
//$authmod['IMAP']['server'] = 'localhost';
//$authmod['IMAP']['port'] = '143';
//$authmod['IMAP']['proto'] = 'imap';
//$authmod['IMAP']['mbox'] = 'INBOX';


// Secure IMAP (SSL) Authentication -----------------------------------------
//
// This is a sample of how to use IMAP authentication over a SSL connection.
// To enable it, you can uncomment just the first line below.  If the default
// settings below that work for you, nothing more is needed.  Otherwise, you
// will usually only have to modify the 'server' setting - the others are
// pretty standard.
//
//$authmod['IMAP_SSL'] = array();
//$authmod['IMAP_SSL']['server'] = 'localhost';
//$authmod['IMAP_SSL']['port'] = '993';
//$authmod['IMAP_SSL']['proto'] = 'imap/ssl';
//$authmod['IMAP_SSL']['mbox'] = 'INBOX';


// POP3 Authentication ------------------------------------------------------
//
// This is a sample of how to use basic POP3 authentication.  To enable it,
// you must uncomment at least the first *four* lines below.  If the default
// settings below that work for you, nothing more is needed.  Otherwise, you
// will usually only have to modify the 'server' setting - the others are
// pretty standard.
//
//$authmod['POP3']['incfile'] = 'auth/IMAP.inc';
//$authmod['POP3']['classname'] = 'SAAuth_IMAP';
//$authmod['POP3']['port'] = '110';
//$authmod['POP3']['proto'] = 'pop3';
//$authmod['POP3']['server'] = 'localhost';
//$authmod['POP3']['mbox'] = 'INBOX';


// Secure POP3 (SSL) Authentication -----------------------------------------
//
// This is a sample of how to use POP3 authentication over a SSL connection.
// To enable it, you must uncomment at least the first *four* lines below.
// If the default settings below that work for you, nothing more is needed.
// Otherwise, you will usually only have to modify the 'server' setting - the
// others are pretty standard.
//
//$authmod['POP3_SSL']['incfile'] = 'auth/IMAP_SSL.inc';
//$authmod['POP3_SSL']['classname'] = 'SAAuth_IMAP_SSL';
//$authmod['POP3_SSL']['port'] = '995';
//$authmod['POP3_SSL']['proto'] = 'pop3/ssl';
//$authmod['POP3_SSL']['server'] = 'localhost';
//$authmod['POP3_SSL']['mbox'] = 'INBOX';


// PWAUTH Authentication ----------------------------------------------------
//
// This is a sample of how to use the 'pwauth' program which is a part of the
// mod_auth_external module for the Apache web server.  To enable it, simply
// uncomment the line below and, if necessary, set the path to where the
// 'pwauth' binary is located.
//
// NOTE:  See http://www.peregrinehw.com/ for a version of pwauth that will
// work with this module.
//
//$authmod['PWAUTH']['cmd'] = '/usr/local/apache/bin/pwauth';


// CHECKPASSWORD Authentication ---------------------------------------------
//
// This is a sample of how to use the 'checkpassword' program which is a part
// of the qmail package.  To enable it, simply uncomment the line below and,
// if necessary, set the path to where the 'checkpassword' binary is located.
//
// NOTE:  See http://www.peregrinehw.com/ for a version of checkpassword that
// will work with this module.
//
//$authmod['CHECKPASS']['cmd'] = '/usr/local/apache/bin/checkpassword true';


//***************************************************************************
// YOU SHOULD NOT NEED TO MODIFY ANYTHING BELOW THIS LINE!
//***************************************************************************

// PROGRAM / CONFIG VERSION
//
$phpsa_version = '0.2.11-NL-0.1';


// This turns on all error reporting, turns off register_globals, and imports
// the POST/GET variables with a prefix of 'post_' and 'get_', respectively.
//
error_reporting( E_ALL & ~E_NOTICE );
ini_set( 'register_globals', 0 );
import_request_variables( 'P', 'post_' );
import_request_variables( 'G', 'get_' );


// Remove trailing and leading slashes from document root path...
//
$search = array( "'/$'", "'^/$'", "'^/'" );
$replace = array( "", "", "" );
$phpsapath = preg_replace( $search, $replace, $phpsapath );

?>
