<?
  class SADB
  {
    var $server;
    var $port;
    var $user;
    var $pass;
    var $db;
    var $table;
    var $link;

    function SADB( $cfg )
    {
      if( isset( $cfg['server'] ) )
        $this->server = $cfg['server'];
      else
        $this->server = 'localhost';

      if( isset( $cfg['port'] ) )
        $this->port = $cfg['port'];

      if( isset( $cfg['user'] ) )
        $this->user = $cfg['user'];
      else
        $this->user = 'spamassassin';

      if( isset( $cfg['pass'] ) )
        $this->pass = $cfg['pass'];
      else
        $this->pass = 'spamassassin';

      if( isset( $cfg['db'] ) )
        $this->db = $cfg['db'];
      else
        $this->db = 'spamassassin';

      if( isset( $cfg['table'] ) )
        $this->table = $cfg['table'];
      else
        $this->table = 'userpref';
    }

    function connect()
    {
      die( 'You must override SADB::connect() in your derived class!' );
      return false;
    }

    function query( $query )
    {
      die( 'You must override SADB::query() in your derived class!' );
      return false;
    }

    function num_rows( $result )
    {
      die( 'You must override SADB::num_rows() in your derived class!' );
      return 0;
    }

    function fetch_array( $result )
    {
      die( 'You must override SADB::fetch_array() in your derived class!' );
      return false;
    }

    function error_message( $result )
    {
      die( 'You must override SADB::error_message() in your derived class!' );
      return false;
    }
  };

  function db_create( $dbcfg )
  {
    require_once( 'db/' . $dbcfg['type'] . '.inc' );

    if( isset( $dbcfg['classname'] ) )
      $classname = $dbcfg['classname'];
    else
      $classname = 'SADB_' . $dbcfg['type'];

    // Evaluates to something like: $db = new SADB_type( $dbcfg );
    //
    eval( '$db = new ' . $classname . '( $dbcfg );' );

    return $db;
  }
?>
