<?
  require_once( 'db.php' );

  class SADB_PGSQL extends SADB
  {
    function SADB_PGSQL( $cfg )
    {
      if( !extension_loaded( 'pgsql' ) )
        dl( 'pgsql.so' ) or die( 'Failed to load PostgreSQL extension!' );

      // Just call the base class constructor...
      SADB::SADB( $cfg );
    }

    function connect()
    {
      if( !$this->link )
      {
        $connect = 'host=' . $this->server;

        if( isset( $this->port ) )
          $connect .= ' port=' . $this->port;

        $connect .= ' dbname=' . $this->db;
        $connect .= ' user=' . $this->user;
        $connect .= ' password=' . $this->pass;

        $this->link = @pg_connect( $connect )
          or die( 'Failed to connect to database!' );
      }

      return $this->link;
    }

    function query( $query )
    {
      // Update table name in query string...
      $query = str_replace( '{USERPREF}', $this->table, $query );

      if( !function_exists( 'pg_query' ) )
        return @pg_exec( $this->link, $query );

      return @pg_query( $this->link, $query );
    }

    function num_rows( $result )
    {
      if( !function_exists( 'pg_num_rows' ) )
        return @pg_numrows( $result );

      return @pg_num_rows( $result );
    }

    function fetch_array( $result )
    {
      return @pg_fetch_array( $result );
    }

    function error_message()
    {
      if( !function_exists( 'pg_last_error' ) )
        return @pg_errormessage( $this->link );

      return @pg_last_error( $this->link );
    }
  };
?>
